# https://github.com/rastersoft/devedeng/archive/4.10.0.tar.gz

Name:           devedeng
Version:        4.11.0
Release:        %mkrel 1
Summary:        Graphical frontend to create video DVDs
Summary(de):    Grafische Oberfläche zum Erzeugen von Video DVDs

License:        GPL
Group:          Video
URL:	          http://www.rastersoft.com/programas/devede.html
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}.png

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       mencoder
Requires:       mkisofs
Requires:       mplayer
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       python-dbus
Requires:       python3
Requires:       python3-six
Requires:       python3-urllib3
Requires:       python3-cairo
Requires:       python3-gobject3
Requires:       python-backports-ssl_match_hostname
Requires:       python3-setuptools
Requires:       vcdimager
%rename         %{name}

%description
DeVeDe allows to create video DVDs, suitable to be reproduced in home DVD players.

%description -l de
DeVeDe erlaubt es Video DVDs zu erzeugen, die dafür geeignet sind in einem Heim-DVD-Player
abgespielt zu werden.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/devede_ng.py.desktop

# devede icon
mkdir -p %buildroot/%_datadir/pixmaps/
install -m 644 %SOURCE1  %buildroot%_datadir/pixmaps/%{name}.png

#backward compatible link
ln -s %{_bindir}/devede_ng.py %buildroot/%{_bindir}/devede

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/copy_files_verbose.py
%{_bindir}/devede_ng.py
%{_bindir}/devede
%{python3_sitelib}/*
%{_datadir}/applications/devede_ng.py.desktop
%{_datadir}/devedeng
%{_datadir}/pixmaps
%{_datadir}/doc/devedeng
%{_datadir}/man/man1/devede.1.bz2
%{_datadir}/icons/hicolor/scalable/apps/devedeng_icon.svg

%changelog
* Mon Dec 03 2018 adrianomorselli <adrianomorselli> 4.11.0-1uplos2018
- update
